/***********************************************************
 * $Id: ComparatorFactory.java 87 2007-12-17 01:06:40Z lech $
 * 
 * Utility classes of the clazzes.org project
 * http://www.clazzes.org
 *
 * Created: Feb 28, 2007
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 ***********************************************************/

package org.clazzes.util.comparators;

import java.util.Comparator;

/**
 * Implementations of this interface generate comparators for a
 * given class. 
 * 
 * @author wglas
 */
public interface ComparatorFactory {

    /**
     * Get a comparator, which compares instances of the given class.
     * 
     * @param clazz The class, which will be compared by the returned Comparator.
     * 
     * @return A Comparator, which handles objects of the supplied class.
     */
    public Comparator getComparator(Class clazz);
}
